Bug 214647 - rhn-applet fails to show updated status after update
rhn-applet fails to show updated status after update
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhn-applet (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Beth Nackashi
Depends On:
  Show dependency treegraph
Reported: 2006-11-08 14:06 EST by Andrew D.
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-10 14:38:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew D. 2006-11-08 14:06:49 EST
I notice on Enterprise 4 that after I launch up2date and update packages my
rhn-applet-gui still shows red. The only way I can get it to acknowledge that
the system is updated is to right-click on the applet and select "check for
updates". It also seems that the only time the applet shows that updates are
needed is when I log in (or when I do "check for updates"). It's possible that
I'm just not logged in at the right times or for long enough for the applet to
connect and see that updates are available but it has been a long time since
I've seen the rhn-applet-gui turn red while I was logged in. Is it possible that
up2date is not updating proberly after the first login? I believe RedHat network
shows that the machine is logging in regularly. Here are the relevant versions:

How reproducible: Always

Steps to Reproduce:
1. log in when there are updates needed
2. launch up2date and update system
Actual results:
Icon still shows updates are needed unless "check for updates" is done manually.

Expected results:
Icon should show blue checkmark
Comment 1 Andrew D. 2006-11-10 13:50:18 EST
My apologies. I did an update this morning and went away for an several without
selecting "Check for updates" after the update. When I came back the red
exclamation mark had turned into a blue checkmark. I just wasn't waiting long
enough. I can't seem to be able to change the status to NOTABUG but I think this
can be taken off bugzilla. Sorry about that.

Note You need to log in before you can comment on or make changes to this bug.